# Generated by go2rpm
%bcond_without check

# https://github.com/cenkalti/backoff
%global goipath         github.com/cenkalti/backoff
Version:                4.1.1

%gometa

%global goaltipaths     github.com/cenkalti/backoff/v4

%global common_description %{expand:
This is a Go port of the exponential backoff algorithm from Google's HTTP
Client Library for Java.

Exponential backoff is an algorithm that uses feedback to multiplicatively
decrease the rate of some process, in order to gradually find an acceptable
rate. The retries exponentially increase and stop increasing when a certain
threshold is met.}

%global golicenses      LICENSE
%global godocs          README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        1%{?dist}
Summary:        Exponential backoff algorithm in Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.lock
Source2:        glide.yaml

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Wed Jun  2 18:41:33 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.1-1
- Update to 4.1.1
- Close: rhbz#1965931

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.1.0-1
- Fix FTBFS (#1863642)
- Update to latest upstream release 4.1.0 (#1886609)

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 00:09:32 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 4.0.2-1
- Update to 4.0.2

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 22 22:52:22 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.0-1
- Release 3.0.0

* Sat Apr 06 02:19:32 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.1-1
- Release 2.1.1 (#1695282)

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 12 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-5
- SPEC refresh

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 2.0.0-4
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 02 2018 Jan Chaloupka <jchaloup@redhat.com> - 2.0.0-2
- Regen glide files

* Mon Jun 25 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-1
- Update to v2.0.0

* Sat Jun 09 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.1.0-0.4.git61153c7
- Upload glide.lock and glide.yaml

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.1.0-0.3.20170711git61153c7
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-0.2.git61153c7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Nov 27 2017 Jan Chaloupka <jchaloup@redhat.com> - 1.1.0-0.1.git61153c7
- Update to v1.1.0
  resolves: #1517147

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git9831e1e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.git9831e1e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.git9831e1e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git9831e1e
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git9831e1e
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.git9831e1e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git9831e1e
- Update to spec-2.1
  related: #1248129

* Wed Jul 29 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.git9831e1e
- Update of spec file to spec-2.0
  resolves: #1248129

* Thu Apr 16 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git9831e1e
- First package for Fedora
  resolves: #1214808
